#
# spec file for package perl-Unicode-String
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Unicode-String
Version:        2.09
Release:        169.7
Summary:        String of Unicode characters (UCS2/UTF16)
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://cpan.org/modules/by-module/Unicode/
Source:         http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Unicode-String-%version.tar.gz
Patch0:         perl522.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
A Unicode::String object represents a sequence of Unicode characters.
The Unicode Standard is a fixed-width, uniform encoding scheme for
written characters and text. This encoding treats alphabetic
characters, ideographic characters, and symbols identically, which
means that they can be used in any mixture and with equal facility. 
Unicode is modeled on the ASCII character set, but uses a 16-bit
encoding to support full multilingual text.



Authors:
--------
    Gisle Aas <gisle@aas.no>

%prep
%setup -n Unicode-String-%{version}
%patch0 -p2

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make %{?_smp_mflags}
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%doc README Changes
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Unicode
%{perl_vendorarch}/auto/Unicode

%changelog
* Thu Aug 27 2015 hsk@imb-jena.de
- perl522.patch: fix to make module work with perl-5.22
* Wed Oct 15 2014 jengelh@inai.de
- Use source URLs and remove ancient specfile tags and sections
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan  4 2006 anicka@suse.cz
- update to 2.09
* Tue Oct  4 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- update to 2.07
- use $RPM_OPT_FLAGS
- fix filelist
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Wed Aug 15 2001 rvasice@suse.cz
- initial package release (version 2.06)
